Package org.apache.commons.beanutils.converters

# Class SqlTimestampConverter

java.lang.Object
org.apache.commons.beanutils.converters.AbstractConverter
org.apache.commons.beanutils.converters.DateTimeConverter
org.apache.commons.beanutils.converters.SqlTimestampConverter

All Implemented Interfaces:
  `Converter`

public final class SqlTimestampConverter extends DateTimeConverter
`DateTimeConverter` implementation that handles conversion to and from java.sql.Timestamp objects.

This implementation can be configured to handle conversion either by using java.sql.Timestamp's default String conversion, or by using a Locale's default format or by specifying a set of format patterns. See the `DateTimeConverter` documentation for further details.

Can be configured to either return a default value or throw a `ConversionException` if a conversion error occurs.

Since:
  1.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SqlTimestampConverter()`
  Construct a java.sql.Timestamp Converter that throws a `ConversionException` if an error occurs.
  `SqlTimestampConverter(Object defaultValue)`
  Construct a java.sql.Timestamp Converter that returns a default value if an error occurs.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Class<?>`
  `getDefaultType()`
  Return the default type this `Converter` handles.
  `protected DateFormat`
  `getFormat(Locale locale, TimeZone timeZone)`
  Return a `DateFormat` for the Locale.

  ### Methods inherited from class org.apache.commons.beanutils.converters.DateTimeConverter

  `convertToString, convertToType, getLocale, getPatterns, getTimeZone, setLocale, setPattern, setPatterns, setTimeZone, setUseLocaleFormat, toString`

  ### Methods inherited from class org.apache.commons.beanutils.converters.AbstractConverter

  `conversionException, convert, convertArray, getDefault, handleError, handleMissing, isUseDefault, setDefaultValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SqlTimestampConverter

    public SqlTimestampConverter()
    Construct a java.sql.Timestamp Converter that throws a `ConversionException` if an error occurs.

  - ### SqlTimestampConverter

    public SqlTimestampConverter(Object defaultValue)
    Construct a java.sql.Timestamp Converter that returns a default value if an error occurs.
    Parameters:
      `defaultValue` - The default value to be returned if the value to be converted is missing or an error occurs converting the value.

- ## Method Details

  - ### getDefaultType

    protected Class<?> getDefaultType()
    Return the default type this `Converter` handles.
    Specified by:
      `getDefaultType` in class `AbstractConverter`
    Returns:
      The default type this `Converter` handles.
    Since:
      1.8.0

  - ### getFormat

    protected DateFormat getFormat(Locale locale, TimeZone timeZone)
    Return a `DateFormat` for the Locale.
    Overrides:
      `getFormat` in class `DateTimeConverter`
    Parameters:
      `locale` - TODO
      `timeZone` - TODO
    Returns:
      The DateFormat.
    Since:
      1.8.0